wiggle_0.8+dfsg1-1_amd64.deb


Advertisement

Description

wiggle - apply patches with conflicting changes

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name wiggle
Package version 0.8+dfsg1
Package release 1
Package architecture amd64
Package type deb
Installed size 155 B
Download size 67.82 KB
Official Mirror ftp.br.debian.org
Wiggle is a program for applying patches that 'patch' cannot
apply due to conflicting changes in the original.
Wiggle will always apply all changes in the patch to the original.
If it cannot find a way to cleanly apply a patch, it inserts it
in the original in a manner similar to 'merge', and report an
unresolvable conflict.

Alternatives

Package Version Architecture Repository
wiggle_0.8+dfsg1-1_i386.deb 0.8+dfsg1 i386 Debian Main
wiggle - - -

Requires

Name Value
libc6 >= 2.7
libncurses5 >= 5.5-5~
libtinfo5 -

Download

Type URL
Binary Package wiggle_0.8+dfsg1-1_amd64.deb
Source Package wiggle

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install wiggle deb package:
    # sudo apt-get install wiggle

Files

Path
/usr/bin/wiggle
/usr/share/doc/wiggle/ANNOUNCE.gz
/usr/share/doc/wiggle/README.Debian
/usr/share/doc/wiggle/TODO.gz
/usr/share/doc/wiggle/changelog.Debian.gz
/usr/share/doc/wiggle/changelog.gz
/usr/share/doc/wiggle/copyright
/usr/share/doc/wiggle/notes
/usr/share/doc/wiggle/contrib/p.gz
/usr/share/doc/wiggle/contrib/p.help.gz
/usr/share/man/man1/wiggle.1.gz

Changelog

2013-02-20 - Jari Aalto <jari.aalto@cante.net>
wiggle (0.8+dfsg1-1) unstable; urgency=low
* Repackage upstream tarball: remove .git and non-free *.ps
documentation about used algorithm (Closes: #698846). Upstream
has removed the file in the next release.
* debian/control
- (Standards-Version): Update to 3.9.4.
* debian/copyright
- Update year.
* debian/docs
- Add missing newline to the last line.
* debian/wiggle.docs
- Delete file due to #698846. There is already debian/docs.
2012-03-24 - Jari Aalto <jari.aalto@cante.net>
wiggle (0.8-2) unstable; urgency=low
* debian/control
- (Build-Depends): Update to debhelper 9. Add libncurses5-dev.
- (Description): Adjust first line.
- (Standards-Version): Update to 3.9.3.1.
* debian/copyright
- Update to format 1.0.
* debian/rules
- (override_dh_*_clean): New. Save and restore original files.
- Use hardened build flags
http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
2010-05-11 - Jari Aalto <jari.aalto@cante.net>
wiggle (0.8-1) unstable; urgency=low
* New upstream release
- Manual page hyphens (Closes: #574576).
- Gcc 4.4 pointer initialization with NULL (Closes: #574577)
- Strange bogus conflict (Closes: #271766)
* debian/control
- (Build-Depends): Add libncurses5-dev.
* debian/patches
- Remove those integrated to upstream.
- (10): Fix spelling.
- (20): Fix include.
* debian/watch
- Add URL.
* debian/rules
- Simplify even further.
- (binary-arch): delete.
- (override_dh_installchangelogs): add.
2010-03-05 - Jari Aalto <jari.aalto@cante.net>
wiggle (0.6.20100304+git1c5bfa7-1) unstable; urgency=low
* New upstream release.
* debian/control
- (Vcs-*): new fields.
- (Section): Change from utils to vcs (used by the FTP masters).
* debian/patches
- (02 p.help, 30 dotest): remove. Integrated to upstream.
- (05 Makefile): Adjust for new upstream.
2010-03-04 - Jari Aalto <jari.aalto@cante.net>
wiggle (0.6-7) unstable; urgency=low
* New maintainer (Closes: #568575).
- Move to packaging format "3.0 (quilt)".
* debian/control
- (Build-Depends): update to debhelper 7.1.
- (Depends): add ${misc:Depends}.
- (Standards-Version): Update to 3.8.4.
* debian/copyright
- Update layout.
- Update download URL (Closes: #515124).
* debian/dirs
- Deleted. Not needed.
* debian/patches
- Convert inline changes to patches.
* debian/README.Debian
- Correct 'perl script' to just script (actually Bourne shell).
- Remove indication to patches, not relevant for the end-user.
* debian/rules
- Update to dh(1).
- (CFLAGS): Change -Werror to -Wall -pedantic
(gcc-4.5 FTBFS; Closes: #565074).
* debian/source/format
- New file.
* debian/wiggle.docs
- New file.
* debian/wiggle.install
- New file.
2007-12-29 - Baruch Even <baruch@debian.org>
wiggle (0.6-6) unstable; urgency=low
* Take sole ownership of the package, Nicolas is unresponsive
* Add Homepage field to control header
* Change to dh compat level 5
* Do not ignore errors in make clean
* Update Standards-Version to 3.7.3, no changes needed
* Update the FSF address in the debian/copyright file
* Switch to use the git upstream
2004-12-04 - Nicolas Thomas <nthomas@free.fr>
wiggle (0.6-5) unstable; urgency=low
* Adopt this package (closes: #233661)
* Modify build to use dpatch
* New Standard: 3.6.1.1
- No need to change
* Add upstream fixes 004ExtractFix 005Pchanges (006NoDebug is already
applied)
* Add the notes files to the documentation
2004-02-19 - Igor Genibel <igenibel@debian.org>
wiggle (0.6-4) unstable; urgency=low
* Orphan this package
2003-07-12 - Igor Genibel <igenibel@debian.org>
wiggle (0.6-3) unstable; urgency=low
* Fix upstream bug (Thanks Jan Hudec <bulb@ucw.cz>)
- upstream provided a patch
* New Standard: 3.6.0
- No need to change

See Also

Package Description
wiipdf_1.4-2_amd64.deb present a PDF file using your wiimote
wiki2beamer_0.9.4-1_all.deb Tool to create LaTeX beamer presentations in wiki syntax
wikipedia2text_0.11-2_all.deb displays Wikipedia articles on the command line
wikipediafs_0.4-4_all.deb View and edit Wikipedia articles as if they were real files
wildmidi_0.2.3.4-2.1_amd64.deb software MIDI player
wiliki_0.6.2-1_all.deb Yet another Wiki clone written in Scheme
wily_0.13.41-7.2_amd64.deb A work-alike of the Acme programming environment for Plan 9
wims-help_4.01-2_all.deb help files for wims
win32-loader_0.7.4.7+deb7u2_all.deb Debian-Installer loader for win32
winbind_3.6.6-6+deb7u7_amd64.deb Samba nameservice integration server
windowlab_1.40-1_amd64.deb small and simple Amiga-like window manager
windows-el_2.41-3_all.deb window manager for GNU Emacs
wine-doc_1.0.0-1_all.deb Windows API implementation - documentation
wine64-bin_1.4.1-4_amd64.deb Windows API implementation - binary loader
wine_1.4.1-4_amd64.deb Windows API implementation - standard suite
Advertisement
Advertisement